package com.ff.base.enums;

import lombok.Getter;

/**
 * 跟踪事件类型
 *
 * @author shi
 * @date 2025/01/14
 */
@Getter
public enum TrackEventType {
    HALL_ACCESS("1", "大厅访问"),
    DOWNLOAD_SITE_ACCESS("2", "下载站访问"),
    FAST_APP_DOWNLOAD("3", "极速app下载"),
    NATIVE_APP_DOWNLOAD("4", "原生app下载"),
    PWA_DOWNLOAD("5", "PWA下载"),
    IOS_DESCRIPTION_SIGN_DOWNLOAD("6", "ios描述签下载"),
    DESKTOP_SHORTCUT_DOWNLOAD("7", "桌面快捷方式下载"),
    APP_UPDATE_SUCCESS_COUNT("8", "app更新成功量"),
    APP_UPDATE_REQUEST_COUNT("9", "app更新请求量"),
    ENTER_GAME("10", "进入游戏"),
    CLICK_RECHARGE_BUTTON("11", "点击充值按钮"),
    NEW_MEMBER("12", "新增会员(后端记录)"),
    NEW_AGENT("13", "新增代理(后端记录)"),
    NEW_TOP_AGENT("14", "新增顶级代理(后端记录)"),
    FIRST_RECHARGE("15", "首充(后端记录)"),
    SAME_DAY_REGISTER_AND_FIRST_RECHARGE("16", "当天注册且首充(后端记录)"),
    SECOND_RECHARGE("17", "二充(后端记录)"),
    RECHARGE_SUCCESS("18", "充值成功(后端记录)"),
    WITHDRAWAL_SUCCESS("19", "提现成功(后端记录)"),
    GAME_BETTING_PARTICIPATION("20", "参与游戏投注(后端记录)");

    private final String value;
    private final String description;

    TrackEventType(String value, String description) {
        this.value = value;
        this.description = description;
    }
}